Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class XPathBooleanExpressionImpl

    java.lang.Object
      com.servingxml.util.xml.XPathBooleanExpressionImpl

All Implemented Interfaces:
  XPathBooleanExpression

    public class XPathBooleanExpressionImpl

extends java.lang.Object
implements XPathBooleanExpression

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.util.xml.XPathBooleanExpression
`XPathBooleanExpression.AlwaysFalse, XPathBooleanExpression.AlwaysTrue`

Field Summary

Fields inherited from interface com.servingxml.util.xml.XPathBooleanExpression
`ALWAYS_FALSE, ALWAYS_TRUE`

Constructor Summary
`XPathBooleanExpressionImpl(PrefixMap prefixMap, java.lang.String baseUri, com.servingxml.util.xml.BooleanExpressionTransformerFactory transformerFactory)`

Method Summary
`boolean` | `evaluate(javax.xml.transform.Source source, Record parameters)`
`void` | `setErrorListener(javax.xml.transform.ErrorListener errorListener)`
`void` | `setUriResolverFactory(UriResolverFactory uriResolverFactory)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathBooleanExpressionImpl

    public XPathBooleanExpressionImpl(PrefixMap prefixMap,
                                      java.lang.String baseUri,
                                      com.servingxml.util.xml.BooleanExpressionTransformerFactory transformerFactory)

Method Detail

### setUriResolverFactory

    public void setUriResolverFactory(UriResolverFactory uriResolverFactory)

  Specified by:
    `setUriResolverFactory` in interface `XPathBooleanExpression`

### setErrorListener

    public void setErrorListener(javax.xml.transform.ErrorListener errorListener)

  Specified by:
    `setErrorListener` in interface `XPathBooleanExpression`

### evaluate

    public boolean evaluate(javax.xml.transform.Source source,
                            Record parameters)

  Specified by:
    `evaluate` in interface `XPathBooleanExpression`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD